package com.company;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class Main {

    public static void loadPropertiesAndPrintValues() {

        Properties prop = new Properties();
        InputStream in = Main.class.getResourceAsStream("test.properties");

        try {

            prop.load(in);

            String isItWorking = prop.getProperty("is_it_working");
            System.out.print(isItWorking);

        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
