﻿using UnityEngine;

public class TryToLoadJavaProperties : MonoBehaviour
{
    void OnGUI()
    {
        if (GUILayout.Button("Execute loadPropertiesAndPrintValues() method from included demo.jar", GUILayout.Width(Screen.width), GUILayout.Height(100)))
        {
            var javaClazz = new AndroidJavaObject("com.company.Main");
                
            Debug.Log(string.Format("Loaded class, is it null {0}", javaClazz == null));

            javaClazz.CallStatic("loadPropertiesAndPrintValues");

            Debug.Log(string.Format("Executed loadPropertiesAndPrintValues() method"));
        }
    }
}
